import { defineComponent } from 'vue'

import type { CustomSlotsType } from '../_util/type'
import type { ColumnType } from './interface'

export type ColumnProps<RecordType = unknown> = ColumnType<RecordType>
export default defineComponent<ColumnProps>({
  name: 'ATableColumn',
  slots: Object as CustomSlotsType<{
    title?: any
    filterIcon?: any
    default?: any
  }>,

  render() {
    return null
  },
})
